package com.mdd.admin.vo.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("公众号关键词回复Vo")
public class ChannelRpKeywordVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("id")
   private Integer id;
   @ApiModelProperty("规则名")
   private String name;
   @ApiModelProperty("关键词")
   private String keyword;
   @ApiModelProperty("回复内容")
   private String content;
   @ApiModelProperty("内容类型: [1=文本]")
   private Integer contentType;
   @ApiModelProperty("匹配方式: [1=全匹配, 2=模糊匹配]")
   private Integer matchingType;
   @ApiModelProperty("排序编号")
   private Integer sort;
   @ApiModelProperty("启动状态: [1=启动, 0=关闭]")
   private Integer status;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public String getContent() {
      return this.content;
   }

   public Integer getContentType() {
      return this.contentType;
   }

   public Integer getMatchingType() {
      return this.matchingType;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setKeyword(String keyword) {
      this.keyword = keyword;
   }

   public void setContent(String content) {
      this.content = content;
   }

   public void setContentType(Integer contentType) {
      this.contentType = contentType;
   }

   public void setMatchingType(Integer matchingType) {
      this.matchingType = matchingType;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelRpKeywordVo)) {
         return false;
      } else {
         ChannelRpKeywordVo other = (ChannelRpKeywordVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label107: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label107;
                  }
               } else if (this$id.equals(other$id)) {
                  break label107;
               }

               return false;
            }

            Object this$contentType = this.getContentType();
            Object other$contentType = other.getContentType();
            if (this$contentType == null) {
               if (other$contentType != null) {
                  return false;
               }
            } else if (!this$contentType.equals(other$contentType)) {
               return false;
            }

            Object this$matchingType = this.getMatchingType();
            Object other$matchingType = other.getMatchingType();
            if (this$matchingType == null) {
               if (other$matchingType != null) {
                  return false;
               }
            } else if (!this$matchingType.equals(other$matchingType)) {
               return false;
            }

            label86: {
               Object this$sort = this.getSort();
               Object other$sort = other.getSort();
               if (this$sort == null) {
                  if (other$sort == null) {
                     break label86;
                  }
               } else if (this$sort.equals(other$sort)) {
                  break label86;
               }

               return false;
            }

            label79: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label79;
                  }
               } else if (this$status.equals(other$status)) {
                  break label79;
               }

               return false;
            }

            label72: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label72;
                  }
               } else if (this$name.equals(other$name)) {
                  break label72;
               }

               return false;
            }

            Object this$keyword = this.getKeyword();
            Object other$keyword = other.getKeyword();
            if (this$keyword == null) {
               if (other$keyword != null) {
                  return false;
               }
            } else if (!this$keyword.equals(other$keyword)) {
               return false;
            }

            Object this$content = this.getContent();
            Object other$content = other.getContent();
            if (this$content == null) {
               if (other$content != null) {
                  return false;
               }
            } else if (!this$content.equals(other$content)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelRpKeywordVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $contentType = this.getContentType();
      result = result * 59 + ($contentType == null ? 43 : $contentType.hashCode());
      Object $matchingType = this.getMatchingType();
      result = result * 59 + ($matchingType == null ? 43 : $matchingType.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $keyword = this.getKeyword();
      result = result * 59 + ($keyword == null ? 43 : $keyword.hashCode());
      Object $content = this.getContent();
      result = result * 59 + ($content == null ? 43 : $content.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelRpKeywordVo(id=" + this.getId() + ", name=" + this.getName() + ", keyword=" + this.getKeyword() + ", content=" + this.getContent() + ", contentType=" + this.getContentType() + ", matchingType=" + this.getMatchingType() + ", sort=" + this.getSort() + ", status=" + this.getStatus() + ")";
   }
}
